List the forwards of a wallet
curl --request GET \
--url https://api.kemycard.com/v1/wallets/{code}/forwards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kemycard.com/v1/wallets/{code}/forwards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kemycard.com/v1/wallets/{code}/forwards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kemycard.com/v1/wallets/{code}/forwards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kemycard.com/v1/wallets/{code}/forwards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kemycard.com/v1/wallets/{code}/forwards")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kemycard.com/v1/wallets/{code}/forwards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_reference": "<string>",
"customer_code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_reference": "<string>",
"blockchain": "solana",
"currency": "USDC",
"amount": 100,
"commission": 2,
"network_fee": 0.5,
"net_amount": 97.5,
"destination_address": "<string>",
"status": "processing",
"tx_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "a4f8e2c1b3d97056",
"mode": "test",
"timestamp": "2023-11-07T05:31:56Z"
},
"pagination": {
"page": 1,
"limit": 20,
"total": 42,
"pages": 3
}
}{
"success": false,
"error": {
"code": "PLAN_UPGRADE_REQUIRED",
"message": "This product is not included in the Découverte plan. Upgrade to a paid plan (Starter, Business or Premium) to use \"wallets\".",
"details": {
"plan": "decouverte",
"product": "wallets"
}
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": null
}
}Wallets
List the Forwards of a Wallet
Lists the forwards of one collect wallet, most recent first.
GET
/
wallets
/
{code}
/
forwards
List the forwards of a wallet
curl --request GET \
--url https://api.kemycard.com/v1/wallets/{code}/forwards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kemycard.com/v1/wallets/{code}/forwards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kemycard.com/v1/wallets/{code}/forwards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kemycard.com/v1/wallets/{code}/forwards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kemycard.com/v1/wallets/{code}/forwards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kemycard.com/v1/wallets/{code}/forwards")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kemycard.com/v1/wallets/{code}/forwards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_reference": "<string>",
"customer_code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_reference": "<string>",
"blockchain": "solana",
"currency": "USDC",
"amount": 100,
"commission": 2,
"network_fee": 0.5,
"net_amount": 97.5,
"destination_address": "<string>",
"status": "processing",
"tx_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "a4f8e2c1b3d97056",
"mode": "test",
"timestamp": "2023-11-07T05:31:56Z"
},
"pagination": {
"page": 1,
"limit": 20,
"total": 42,
"pages": 3
}
}{
"success": false,
"error": {
"code": "PLAN_UPGRADE_REQUIRED",
"message": "This product is not included in the Découverte plan. Upgrade to a paid plan (Starter, Business or Premium) to use \"wallets\".",
"details": {
"plan": "decouverte",
"product": "wallets"
}
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": null
}
}Authorizations
API key (sk_test_... or sk_live_...)
Path Parameters
Code of the collect wallet
Query Parameters
Page number
Required range:
x >= 1Items per page (max 100)
Required range:
1 <= x <= 100